Issue 10487

Title
Allow view location type as parent of warehouse type
Priority
feature
Status
resolved
Nosy list
acaubet, albertca, ced, reviewbot, roundup-bot, smn
Assigned to
smn
Keywords
review

Created on 2021-06-04.12:07:32 by smn, last changed 1 month ago by smn.

Messages

Author: [hidden] (smn)
Date: 2021-06-11.09:29:43

Thanks @ced and @albertca.
Indeed I was going to fix it ASAP (today).

New changeset 1f05dc5b1c6d by Cédric Krier in branch 'default':
Add type as depends of parent location field
https://hg.tryton.org/tryton-env/rev/1f05dc5b1c6d
New changeset 86462ba82294 by Cédric Krier in branch 'default':
Add type as depends of parent location field
https://hg.tryton.org/modules/stock/rev/86462ba82294
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-06-11.08:31:23

And also always run tests for every patch you submit.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-06-11.08:30:09

@smn it will be good that you follow your own patch when you receive failure from the CI.

Author: [hidden] (albertca)
Date: 2021-06-11.00:47:55

This commit is making the test of module stock to fail with:

AssertionError: {'type'} not less than or equal to {'active'} : Missing depends ['type'] in "stock.location"."parent"

New changeset 54c7d8e81605 by Cédric Krier in branch 'default':
Add view type as allowed warehouse parent
https://hg.tryton.org/tryton-env/rev/54c7d8e81605
New changeset 18221f41c826 by Sergio Morillo in branch 'default':
Add view type as allowed warehouse parent
https://hg.tryton.org/modules/stock/rev/18221f41c826
Author: [hidden] (acaubet)
Date: 2021-06-07.14:46:23

@smn You must update the input field of the bug report with the ID (331041002) of your patch

Author: [hidden] (smn)
Date: 2021-06-07.12:41:49
Author: [hidden] (smn)
Date: 2021-06-04.12:07:32
History
Date User Action Args
2021-06-11 09:29:48smnsetstatus: chatting -> resolved
2021-06-11 09:29:43smnsetmessages: + msg68206
status: resolved -> chatting
2021-06-11 08:36:37roundup-botsetmessages: + msg68203
2021-06-11 08:36:36roundup-botsetmessages: + msg68202
status: chatting -> resolved
2021-06-11 08:31:23cedsetmessages: + msg68201
2021-06-11 08:30:09cedsetmessages: + msg68200
2021-06-11 00:47:55albertcasetmessages: + msg68199
nosy: + albertca
status: resolved -> chatting
2021-06-09 18:03:51roundup-botsetmessages: + msg68176
2021-06-09 18:03:45roundup-botsetmessages: + msg68175
nosy: + roundup-bot
status: testing -> resolved
2021-06-07 15:26:22reviewbotsetmessages: + msg68132
nosy: + reviewbot

Showing 10 items. Show all history (warning: this could be VERY long)